# icaotix python logging
This lib helps in setting up a json logger for stdout for basically all projects

# Deployment help
1. create the file `~/.pypirc` with the following content
    ```
    [distutils]
    index-servers = gitea
    
    [gitea]
    repository = https://git.icaotix.de/api/packages/icaotix/pypi
    username = <username>
    password = <password or token>
    ```
2. Password can be you gitea password or an access token
3. Update build and deploy tools
   ```
   python3 -m pip install --upgrade build
   python3 -m pip install --upgrade twine
   ```
4. Go into the projects root folder (where the pyproject.toml resides)
5. Execute `python3 -m build` to build the artifacts in the `dist` folder
6. Then execute `python3 -m twine upload --repository gitea dist/*` to upload to the registered remote